## golang-github-jeromer-syslogparser 0~20150717.ff71fe7a

=== Makefile ===
SUBPACKAGES=. rfc3164 rfc5424
help:
	@echo "Available targets:"
	@echo "- tests: run tests"
	@echo "- installdependencies: installs dependencies declared in dependencies.txt"
	@echo "- clean: cleans directory"
	@echo "- benchmarks: run benchmarks"

installdependencies:
	@cat dependencies.txt | xargs go get

tests: installdependencies
	@for pkg in $(SUBPACKAGES); do cd $$pkg && go test -i && go test ; cd -;done

clean:
	find . -type 'f' -name '*.test' -print | xargs rm -f

benchmarks:
	@for pkg in $(SUBPACKAGES); do cd $$pkg && go test -gocheck.b ; cd -;done

=== debian/changelog ===
golang-github-jeromer-syslogparser (0~20150717.ff71fe7a-1) unstable; urgency=medium

  * Initial release (Closes: #818530).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Mar 2016 06:59:49 +1100

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/jeromer/syslogparser/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-jeromer-syslogparser 0.0~git20210813.bbb7299

=== Makefile ===
GO ?=					$(shell which go)

GO_PKGS ?= 				$(shell $(GO) list ./...)

GO_TEST_PKGS ?= 		$(shell test -f go.mod && $(GO) list -f \
							'{{ if or .TestGoFiles .XTestGoFiles }}{{ .ImportPath }}{{ end }}' \
							$(GO_PKGS))

GO_TEST_TIMEOUT ?= 		15s

GO_BENCH=go test -bench=. -benchmem

all: lint test benchmark

test:
	$(GO) test                      \
		-race                       \
		-timeout $(GO_TEST_TIMEOUT) \
		$(GO_TEST_PKGS)

#FIXME
benchmark:
	$(GO_BENCH)
	cd rfc3164 && $(GO_BENCH)
	cd rfc5424 && $(GO_BENCH)
	cd parsercommon && $(GO_BENCH)

lint:
	golangci-lint run ./...

=== debian/changelog ===
golang-github-jeromer-syslogparser (0.0~git20210813.bbb7299-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Fix watch file following versioning policy
  * Default Salsa CI
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Use tracker.debian.org’s team functionality in Debian Go Packaging
    Team and spell team name as per policy (routine-update)
  * Section: s/devel/golang/ (routine-update)
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Sep 2025 15:51:26 +0200

golang-github-jeromer-syslogparser (0~20150717.ff71fe7a-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 16:32:06 +0100

=== debian/control ===
Source: golang-github-jeromer-syslogparser
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-go,
               golang-check.v1-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jeromer-syslogparser
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jeromer-syslogparser.git
Homepage: https://github.com/jeromer/syslogparser
XS-Go-Import-Path: github.com/jeromer/syslogparser

Package: golang-github-jeromer-syslogparser-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-check.v1-dev
Description: syslog parser library
 Syslog parser for the Go programming language.

=== debian/rules ===
#!/usr/bin/make -f

#GOPKG=github.com/jeromer/syslogparser

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
Version: 5

Source: https://github.com/jeromer/syslogparser.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.0~git%cd.%h
